#!/bin/bash
#
# trip.sh 
#

# Please edit below!
ARCH=x86_64-unknown-linux-gnu

PTEXLIVE_VER=`ls  ../ptexlive-*.tar.gz|sed "s/.*ptexlive-//;s/.tar.gz//"`
pushd ../ptexlive-$PTEXLIVE_VER
. common.sh
popd

PATH=$TMP_PREFIX/inst/bin/$ARCH/:$PATH

cd $TMP_PREFIX/texlive-20091011-source/texk/web2c/triptrap
pltotf trip

dotrip (){
echo ">>> doing TRIP test for $1 ..."
echo "\input trip" | $1 -ini &>/dev/null
mv trip.log $2-tripin.log
echo " &trip  trip " | $1 -ini > $2-trip.fot 2>/dev/null
mv trip.log $2-trip.log
}

dotrip tex o
dotrip ptex p
dotrip eptex ep


doxtrip (){
echo ">>> doing TRIP test for $1 (extended mode) ..."
echo "*\input trip" | $1 -ini &>/dev/null
mv trip.log $2-xtripin.log
echo "&trip \toksdef\tokens=0 \input trip" | $1 -ini > $2-xtrip.fot 2>/dev/null
mv trip.log $2-xtrip.log
}

doxtrip eptex ep

diff -U0 -d p-tripin.log ep-tripin.log
diff -U0 -d p-trip.log ep-trip.log
diff -U0 -d ep-tripin.log ep-xtripin.log
diff -U0 -d ep-trip.log ep-xtrip.log

cd ../etexdir/etrip
pltotf etrip

P_SED="s/, yoko direction//;s/yoko direction, //;s/yoko(math) direction, //"

doetrip (){
echo ">>> doing e-TRIP test for $1  ..."
echo "*etrip" | $1 -ini &>/dev/null
mv etrip.log $2-etripin.log
echo "&etrip etrip" | $1 -ini > $2-etrip.fot 2>/dev/null
cat etrip.log |sed "$P_SED" > $2-etrip.log
}

doetrip etex e
doetrip eptex ep

diff -U0 -d e-etripin.log ep-etripin.log
diff -U0 -d e-etrip.log ep-etrip.log

cd $TMP_PREFIX/ptex-qtrip

doqtrip (){
echo ">>> doing qTRIP test for $1  ..."
$1 -ini qtrip&>/dev/null
mv qtrip.log $2-qtripin.log
$1 -fmt=qtrip qtrip > $2-qtrip.fot 2>/dev/null
mv qtrip.log $2-qtrip.log
}

doqtrip ptex p
doqtrip eptex ep
doqtrip "eptex -etex" xp

diff -U0 -d p-qtripin.log ep-qtripin.log
diff -U0 -d p-qtrip.log ep-qtrip.log
diff -U0 -d ep-qtripin.log xp-qtripin.log
diff -U0 -d ep-qtrip.log xp-qtrip.log
